Package org.eclipse.cdt.core.browser

# Class TypeSearchScope

java.lang.Object
org.eclipse.cdt.core.browser.TypeSearchScope

All Implemented Interfaces:
  `ITypeSearchScope`

public class TypeSearchScope extends Object implements ITypeSearchScope

Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`TypeSearchScope()`
`TypeSearchScope(boolean workspaceScope)`
`TypeSearchScope(ITypeSearchScope scope)`
`TypeSearchScope(ICProject project)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ITypeSearchScope scope)`
`void`
`add(ICElement elem)`
`void`
`add(ICProject project)`
`void`
`add(IWorkingCopy workingCopy)`
`void`
`add(org.eclipse.core.runtime.IPath path, boolean addSubfolders, ICProject enclosingProject)`
`void`
`addWorkspace()`
`void`
`clear()`
`Collection<org.eclipse.core.runtime.IPath>`
`containerSet()`
`boolean`
`encloses(String path)`
`boolean`
`encloses(ITypeSearchScope scope)`
`boolean`
`encloses(ICElement element)`
`boolean`
`encloses(ICProject project)`
`boolean`
`encloses(IWorkingCopy workingCopy)`
`boolean`
`encloses(org.eclipse.core.runtime.IPath path)`
`Collection<ICProject>`
`enclosingProjectSet()`
`ICProject[]`
`getEnclosingProjects()`
`boolean`
`isEmpty()`
`boolean`
`isPathScope()`
`boolean`
`isProjectScope()`
`boolean`
`isWorkspaceScope()`
`Collection<org.eclipse.core.runtime.IPath>`
`pathSet()`
`Collection<ICProject>`
`projectSet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeSearchScope

public TypeSearchScope()

### TypeSearchScope

public TypeSearchScope(boolean workspaceScope)

### TypeSearchScope

public TypeSearchScope(ITypeSearchScope scope)

### TypeSearchScope

public TypeSearchScope(ICProject project)

## Method Details

### pathSet

public Collection<org.eclipse.core.runtime.IPath> pathSet()

Specified by:
  `pathSet` in interface `ITypeSearchScope`

### containerSet

public Collection<org.eclipse.core.runtime.IPath> containerSet()

Specified by:
  `containerSet` in interface `ITypeSearchScope`

### projectSet

public Collection<ICProject> projectSet()

Specified by:
  `projectSet` in interface `ITypeSearchScope`

### enclosingProjectSet

public Collection<ICProject> enclosingProjectSet()

Specified by:
  `enclosingProjectSet` in interface `ITypeSearchScope`

### encloses

public boolean encloses(ITypeSearchScope scope)

Specified by:
  `encloses` in interface `ITypeSearchScope`

### encloses

public boolean encloses(ICProject project)

Specified by:
  `encloses` in interface `ITypeSearchScope`

### encloses

public boolean encloses(org.eclipse.core.runtime.IPath path)

Specified by:
  `encloses` in interface `ITypeSearchScope`

### encloses

public boolean encloses(String path)

Specified by:
  `encloses` in interface `ITypeSearchScope`

### encloses

public boolean encloses(ICElement element)

Specified by:
  `encloses` in interface `ITypeSearchScope`

### encloses

public boolean encloses(IWorkingCopy workingCopy)

Specified by:
  `encloses` in interface `ITypeSearchScope`

### getEnclosingProjects

public ICProject[] getEnclosingProjects()

Specified by:
  `getEnclosingProjects` in interface `ITypeSearchScope`

### isPathScope

public boolean isPathScope()

Specified by:
  `isPathScope` in interface `ITypeSearchScope`

### isProjectScope

public boolean isProjectScope()

Specified by:
  `isProjectScope` in interface `ITypeSearchScope`

### isWorkspaceScope

public boolean isWorkspaceScope()

Specified by:
  `isWorkspaceScope` in interface `ITypeSearchScope`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `ITypeSearchScope`

### add

public void add(IWorkingCopy workingCopy)

Specified by:
  `add` in interface `ITypeSearchScope`

### add

public void add(org.eclipse.core.runtime.IPath path, boolean addSubfolders, ICProject enclosingProject)

Specified by:
  `add` in interface `ITypeSearchScope`

### add

public void add(ICProject project)

Specified by:
  `add` in interface `ITypeSearchScope`

### addWorkspace

public void addWorkspace()

Specified by:
  `addWorkspace` in interface `ITypeSearchScope`

### add

public void add(ICElement elem)

Specified by:
  `add` in interface `ITypeSearchScope`

### add

public void add(ITypeSearchScope scope)

Specified by:
  `add` in interface `ITypeSearchScope`

### clear

public void clear()

Specified by:
  `clear` in interface `ITypeSearchScope`